• mandatory-upgrade-Zen-linux

    Mandatory Upgrade: Zen 2.0.14

    June 20 UPDATE – We are pleased to announce ZenCash 2.0.14 for Linux is available. All node operators, exchanges, and pool operators must update from the previous version before June 28th when the current version is deprecated and will stop working (at block 332576). Zen 2.0.14 is the update previously planned before the Equihash ASIC […]

Live on Youtube

every other Wednesday. If you missed some of them, don’t worry, you can catch up on them here.

Featuring Super Nodes

The new white paper details Secure Nodes, Super Nodes, and sidechains, and outlines new system requirements and payout adjustments. Read it now

ZEN TEAM SPOTLIGHT